 <?php
include('/home/devworks/public_html/auanews/config/auanews.config.php');

switch($_POST['step']){
case 0: $diretorio = DIR_BASE."src/assets/images/";

		//echo $_POST['edicao'].'<br>';
		if(!is_dir($diretorio)){ 
			echo "Pasta $diretorio nao existe";
		}else{
			$arquivo = isset($_FILES['arquivo']) ? $_FILES['arquivo'] : FALSE;
			for ($controle = 0; $controle < count($arquivo['name']); $controle++){
				
				$destino = $diretorio."/".$arquivo['name'][$controle];
				
				if(move_uploaded_file($arquivo['tmp_name'][$controle], $destino)){
					echo "Upload realizado com sucesso<br>";
				}else{
					echo "Erro ao realizar upload";
				}
				//echo '<br>'.$controle.'<br>';
				if($controle == 0){
				$miniatura_prov = file_get_contents($destino);
				$miniatura = base64_encode($miniatura_prov);
				$sql1 = $conecta->query("INSERT INTO publicacoes(identificador, edicao, miniatura) VALUES ('".$_POST['identificador']."','".$_POST['edicao']."','".$miniatura."')");
				unlink($destino);}
				if($controle == 1){
				$arquivoEdicao_prov = file_get_contents($destino);
				$arquivoEdicao = base64_encode($arquivoEdicao_prov);
				$sql2 = $conecta->query("UPDATE publicacoes SET arquivo = '".$arquivoEdicao."' WHERE identificador = '".$_POST['identificador']."' ORDER BY id DESC LIMIT 1");
				unlink($destino);}
				
			}
		}
		//$sql2 = $conecta->query("UPDATE pagina_content SET texto = '".utf8_encode($_POST['home-texto1'])."' WHERE local = 'home' AND posicao = 'texto1'");
		echo '<meta http-equiv="refresh" content="0; URL='.URL_BASE.'controle/publicacoes/'.$_POST['pag'].'"/>';
break;
case 1: $sql1 = $conecta->query("DELETE FROM publicacoes WHERE identificador = '".$_POST['identificador']."'");
		echo '<meta http-equiv="refresh" content="0; URL='.URL_BASE.'controle/publicacoes/'.$_POST['pag'].'"/>';
break;}